/* ** Artifact Overview Styling ** */

/* .artifacts {
  background-color: #d7ceb2;
} */

.dark-mode {
  background-color: #000;
  color: white;
}

.skinny-nav {
  display: flex; 
  gap: 4px;
  justify-content: flex-start;
  align-items: center;
  overflow-x: hidden;
}

.skinny-nav p,
.skinny-nav a {
  margin: 0;
  padding-left: 0;
  font-size: 11px;
  font-weight: 800;
  font-family: 'Courier New', Courier, monospace;
  transition: padding-left 5s ease-out;
  text-decoration: underline tan;
  text-decoration-thickness: 3px;
}

/* .skinny-nav p:hover {
  padding-left: 800px;
} */

.skinny-nav.active p,
.skinny-nav.active .cc {
  color: white !important;
}

.skinny-nav .cc {
  color: rgb(13, 42, 13);
}

.dark-switcher {
  background-color: black;
  border: none;
  color: white;
  border-radius: 50px;
  width: 2px;
  height: 13px;
  cursor: pointer;
}

.dark-switcher.active {
  background-color: white;
}


.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 2rem;
  margin: 1rem;
  justify-items: center;
}
    
.base-item {  
  width: 200px;
  height: 200px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: white;
  text-decoration: none;
  color: black;
  font-size: 1.05rem;
  font-weight: bold;
  font-family: monospace;
  cursor: default;
  /* letter-spacing: 0.5rem;
  text-transform: lowercase;
  transform: skewX(5deg); */
}

.base-item p {
  transition: text-shadow 0.1s, 0.3s ease-in-out;   
}

.base-item p:hover {
  text-shadow: 5px 3px 0px rgb(67 75 59 / 38%);
}

.grid-item {
  width: 200px;
  height: 200px;
  display: flex;
  flex-direction: column;
  gap: 1px;
  align-items: center;
  justify-content: center;
  background: white;
  border: solid 1px black;
  text-decoration: none;
  color: black;
  font-family: monospace;
  transition: transform 0.2s ease-in-out;
}

.grid-item:hover {
  cursor: pointer;
  box-shadow: 5px 4px 3px 0px rgba(0, 0, 0, 0.1);
}

.grid-item .num {
  margin: 0;
  font-size: 11px;
}

.empty-item {
  position: relative;
}

.clickorz {
  animation: flyAround 10s ease-in forwards;
}

@keyframes flyAround {
  0% {
    transform: translate(0px, 0px) rotate(0deg) scale(1);
    border-radius: 0%;
  }
  80% {
    transform: translate(0px, 0px) rotate(360deg) scale(0.10);
    border-radius: 50%;
  }
  100% {
    transform: translate(0px, 0px) scale(1);
    border-radius: 0%;
  }
}

/** *** Specific Grid Items *** **/

.grid-item .num,
.grid-item .txt {
  position: relative;
  z-index: 2;
}

#gridItem001 {
  background-color: tan;
  /* background-image: url('img/laxtycoon.gif'); 
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat; */
  position: relative;
  color: black; 
}
/* #gridItem001::after {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background: rgba(0,0,0,0.65);
  z-index: 1;
  pointer-events: none;
} */

#gridItem002 {
  background-color: #93aec6;
  /* background-image: url('img/townflag.jpeg');
  background-size: auto;
  background-position: center;
  background-repeat: no-repeat; */
  position: relative;
  color: black; 
}
/* #gridItem002::after {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background: rgba(0,0,0,0.65);
  z-index: 1;
  pointer-events: none;
} */

#gridItem003 {
  background-color: #779078;
  /* background-image: url('img/newsdash.jpeg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat; */
  position: relative;
  color: black; 
}
/* #gridItem003::after {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background: rgba(0,0,0,0.65); 
  z-index: 1;
  pointer-events: none;
} */

#gridItem004 {
  background-color: #a57b9a;
  position: relative;
}
#gridItem004::after {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  /* background: rgba(255, 255, 255, 0.5);  */
  z-index: 1;
  pointer-events: none;
}

#gridItem005 {
  background-color: #aa99a5;
}

#gridItem006 {
  background-color: #e6dbe3;
}

#gridItem007 {
  background-color: #7ba586;
}


/* ** Ollama Specific ** */
.ollama {
  margin: 50px 10px;
  max-width: 800px;
}
.got-ollama {
  font-size: 1.115rem;
  transform: skewX(-5deg);  
}
.got-ollama:hover {
  font-size: 1.115rem;
  transform: skewX(-40deg);
  transition: transform 0.4s cubic-bezier(0.075, 0.82, 0.165, 1);   
}
.gotcha-ollama {
  opacity: 0;
  max-height: 0;
  overflow: hidden;
  display: block;
  margin: 0;
  margin-bottom: 1rem;
  font-family: cursive;
  transform: skewX(-5deg);
  transition: display 0.5s ease-in-out;
  transition: opacity 0.65s ease-in-out;
}
.got-ollama:hover + .gotcha-ollama {
  opacity: 1;
  max-height: 250px;
}

/* ** Individual Artifact Styling ** */
.headframe {
  background-color: white;
  padding: 0.5rem 0;
}
.headframe .title {
  font-weight: bold;
  margin-bottom: 0.25rem;
}
.headframe .info {
  margin-top: 0.25rem;
}
.appframe {
  display: flex;
  flex-direction: column;
  background-color: white;
  padding: 1rem 1rem 0rem 0rem;
  box-sizing: border-box;
  margin: 0;
}
.appframe a {
  display: inline-block;
  margin-bottom: 1rem;
}
.appframe iframe {
  height: 50vh;
  width: 50vw;
  border: none;
}
.questionframe {
  margin: 2rem 0;
  background-color: white;
  max-width: 600px;
}